/**
 * @copyright (c) Solution 360 GmbH
 * Automatically adjusts the width and x-position of elements to an arbitrary other element.
 */
(function ($) {

    function s360_autoadjust(initial) {
        $('[data-auto-adjust-to]').each(function () {
            // add placeholder div beneath each potentially sticky element
            var $this = $(this);
            var $mywrapper = $this.closest('.s360-main-menu-item-wrapper');
            var $target = $($this.data('auto-adjust-to'));
            if($mywrapper && $target) {
                $this.css('left', $target.offset().left - $mywrapper.offset().left + "px");
            }
            if(initial) {
                $this.addClass('adjusted');
            }
        });
    }


    // CALLS
    // ===============
    $(window).load(function () {
        s360_autoadjust(true);
        var debounced = _.debounce(function () {
            s360_autoadjust(false);
        }, 16);
        $(window).resize(debounced);
        $('body').on('shown.bs.collapse', debounced); // readjust elements in previously hidden collapsed containers
    });
})(jQuery);
