{* template to display products in product-lists *}
{strip}
    {if !isset($isFullWidthItem)}
        {if isset($bAjaxRequest) && $bAjaxRequest && isset($smarty.get.fullwidth)}
            {$isFullWidthItem = intval($smarty.get.fullwidth)}
        {else}
            {$isFullWidthItem = false}
        {/if}
    {/if}
    {* This is the function for variation selects during checkout *}
    {if isset($bAjaxRequest) && $bAjaxRequest && isset($smarty.get.basket)}
        {$basketAreaEnabled = intval($smarty.get.basket)}
    {elseif !isset($basketAreaEnabled)}
        {$basketAreaEnabled = false}
    {/if}
    {if isset($bAjaxRequest) && $bAjaxRequest && isset($smarty.get.variation)}
        {$variationDisplayEnabled = intval($smarty.get.variation)}
    {elseif !isset($variationDisplayEnabled)}
        {$variationDisplayEnabled = false}
    {/if}
    {if isset($bAjaxRequest) && $bAjaxRequest && isset($smarty.get.maxVariationCount)}
        {$maxVariationCount = intval($smarty.get.maxVariationCount)}
    {elseif !isset($maxVariationCount) || empty($maxVariationCount)}
        {$maxVariationCount = 1}
    {/if}
    {if isset($bAjaxRequest) && $bAjaxRequest && isset($smarty.get.maxWerteCount)}
        {$maxWerteCount = intval($smarty.get.maxWerteCount)}
    {elseif !isset($maxWerteCount) || empty($maxWerteCount)}
        {$maxWerteCount = 3}
    {/if}
    {if isset($bAjaxRequest) && $bAjaxRequest && isset($smarty.get.quickviewEnabled) && $smarty.get.quickviewEnabled == 1}
        {$quickviewEnabled = true}
    {/if}
    {if !$basketAreaEnabled || !$variationDisplayEnabled}
        {assign var="hasOnlyListableVariations" value=0}
    {else}
        {hasOnlyListableVariations artikel=$Artikel maxVariationCount=$maxVariationCount maxWerteCount=$maxWerteCount assign="hasOnlyListableVariations"}
    {/if}
    {if !isset($quickviewEnabled)}
        {$quickviewEnabled = false}
    {/if}
<div class="product-cell item-list{if $basketAreaEnabled} basket-enabled{/if}" id="result-wrapper_buy_form_{$Artikel->kArtikel}" data-target-url="{$Artikel->cURL}" data-quickview-enabled="{$quickviewEnabled|intval}" data-basket="{$basketAreaEnabled|intval}" data-variation="{$variationDisplayEnabled|intval}" data-max-variation="{$maxVariationCount}" data-max-variation-value="{$maxWerteCount}" data-fullwidth="{$isFullWidthItem|intval}">
    {if isset($Artikel->oSuchspecialBild)}
        <img class="overlay-img" src="{$Artikel->oSuchspecialBild->cPfadKlein}" alt="{if isset($Artikel->oSuchspecialBild->cSuchspecial)}{$Artikel->oSuchspecialBild->cSuchspecial}{else}{$Artikel->cName}{/if}">
    {/if}
<div class="product-body{if $tplscope !== 'list'} text-center{/if}">
    <div class="image-wrapper-container">
        {block name="image-wrapper"}
            <a class="image-wrapper" href="{$Artikel->cURL}">
                {if $quickviewEnabled && !$Artikel->bHasKonfig}
                    <div class="hidden-xs s360-quickview-button">
                        <button class="quickview btn cta cta-standard {s360_load_global_setting type="ctaVariant"}" data-src="{$Artikel->cURL}" data-target="buy_form_{$Artikel->kArtikel}" title="{$Artikel->cName}">{lang key="downloadPreview" section="productDownloads"}</button>
                    </div>
                {/if}
                {if isset($Artikel->Bilder[0]->cAltAttribut)}
                    {assign var="alt" value=$Artikel->Bilder[0]->cAltAttribut|strip_tags|truncate:60|escape:"html"}
                {else}
                    {assign var="alt" value=$Artikel->cName}
                {/if}
                {include file="snippets/image.tpl" src=$Artikel->Bilder[0]->cPfadNormal alt=$alt tplscope=$tplscope}
            </a>
        {/block}
    </div>
    <div class="product-info-container">
    <div class="row">
    <div class="product-manufacturer-rating col-xs-12">
        {if $Einstellungen.bewertung.bewertung_anzeigen === 'Y' && $Artikel->fDurchschnittsBewertung > 0}
            <div class="product-rating pull-right">
                {include file='productdetails/rating.tpl' stars=$Artikel->fDurchschnittsBewertung}
            </div>
        {/if}
        {block name="product-manufacturer"}
            {if $Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen !== 'N' && !empty($Artikel->cHersteller)}
                <div class="product-manufacturer pull-left">
                    {if !empty($Artikel->cHerstellerHomepage)}
                    <a href="{$Artikel->cHerstellerHomepage}">
                        {/if}
                        {if ($Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === "B" || $Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === "BT")
                        && isset($Artikel->cHerstellerBildKlein) && $Artikel->cHerstellerBildKlein !== ''}
                            <img src="{$Artikel->cHerstellerBildKlein}" alt="{$Artikel->cHersteller}" class="manufacturer-display-{$Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen|strtolower}"/>
                        {/if}
                        {if $Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === "Y" || $Einstellungen.artikeluebersicht.artikeluebersicht_hersteller_anzeigen === "BT"}
                            {$Artikel->cHersteller}
                        {/if}
                        {if !empty($Artikel->cHerstellerHomepage)}
                    </a>
                    {/if}
                </div>
            {/if}
        {/block}
    </div>
    {block name="product-title"}
        <div class="product-title col-xs-12">
            <h3 class="title">
                <a href="{$Artikel->cURL}" itemprop="name">{$Artikel->cName}</a>
            </h3>
            <meta itemprop="url" content="{$ShopURL}/{$Artikel->cURL}">
        </div>
    {/block}

    <div class="product-info col-xs-12">
    {block name="product-info"}
        <div class="product-info-upper">
            <div class="row s360-product-info-texts">
                <div class="hidden-xs col-xs-12 col-sm-8">
                    <div class="attr-sku">
                        <span class="attr-label">{lang key="productNo" section="global"}:</span>&nbsp;<span class="value">{$Artikel->cArtNr}</span>
                    </div>
                    {if $Einstellungen.artikeluebersicht.artikeluebersicht_kurzbeschreibung_anzeigen === 'Y' && $Artikel->cKurzBeschreibung}
                        <div class="shortdescription">
                            {$Artikel->cKurzBeschreibung}
                        </div>
                    {/if}
                    {* NOT SHOWN ATTRIBUTES: MHD, Shipping Weight, Article Weight, Artikelintervall, Variations in X *}
                </div>
                <div class="col-xs-12 col-sm-4 text-right text-left-xs">
                    <div class="delivery-status visible-xs pull-right">
                        {block name="delivery-status"}
                            {assign var=anzeige value=$Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandsanzeige}
                            {if $Artikel->nErscheinendesProdukt}
                                <span class="availablefrom text-warning "><i class="fa fa-clock-o" aria-hidden="true"></i></span>
                                {if $Einstellungen.global.global_erscheinende_kaeuflich === 'Y' && $Artikel->inWarenkorbLegbar === 1}
                                    <span class="attr attr-preorder text-warning">
                                </span>
                                {/if}
                            {elseif $anzeige !== 'nichts'
                            && $Artikel->cLagerBeachten === 'Y'
                            && ($Artikel->cLagerKleinerNull === 'N' || $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen === 'U')
                            && $Artikel->fLagerbestand <= 0 && $Artikel->fZulauf > 0 && isset($Artikel->dZulaufDatum_de)}
                                {assign var=cZulauf value=$Artikel->fZulauf|cat:':::'|cat:$Artikel->dZulaufDatum_de}
                                <span class="signal_image status-1">
                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                            </span>
                            {elseif $anzeige !== 'nichts'
                            && $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen !== 'N'
                            && $Artikel->cLagerBeachten === 'Y'
                            && $Artikel->fLagerbestand <= 0
                            && $Artikel->fLieferantenlagerbestand > 0
                            && $Artikel->fLieferzeit > 0
                            && ($Artikel->cLagerKleinerNull === 'N' || $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen === 'U')}
                                <span class="signal_image status-1">
                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                            </span>
                            {elseif $anzeige === 'verfuegbarkeit' || $anzeige === 'genau'}
                                <span class="signal_image status-{$Artikel->Lageranzeige->nStatus}">
                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                            </span>
                            {elseif $anzeige === 'ampel'}
                                <span class="signal_image status-{$Artikel->Lageranzeige->nStatus}">
                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                            </span>
                            {/if}
                        {/block}
                    </div>
                    {assign var=price_image value=""}
                    {if isset($Artikel->Preise->strPreisGrafik_Suche)}
                        {assign var=$price_image value=$Artikel->Preise->strPreisGrafik_Suche}
                    {/if}
                    {include file="productdetails/price.tpl" Artikel=$Artikel price_image=$price_image tplscope=$tplscope}
                </div>
            </div>
            <div class="row s360-preview-cta">
                <div class="hidden-xs col-xs-12 col-sm-6 {if $isFullWidthItem} col-lg-8{/if}">
                    {if ($hasOnlyListableVariations == 0 || $Artikel->bHasKonfig) && $Artikel->oVariationKombiVorschau_arr|@count > 0 && $Artikel->oVariationKombiVorschau_arr && $Einstellungen.artikeluebersicht.artikeluebersicht_varikombi_anzahl > 0}
                        <div class="varikombis-thumbs hidden-xs hidden-sm">
                            {foreach name=varikombis from=$Artikel->oVariationKombiVorschau_arr item=oVariationKombiVorschau}
                                <a href="{$oVariationKombiVorschau->cURL}" class="thumbnail pull-left"><img src="{$oVariationKombiVorschau->cBildMini}" alt=""/></a>
                            {/foreach}
                        </div>
                    {/if}
                </div>
                <div class="col-xs-12 col-sm-6 {if $isFullWidthItem} col-lg-4{/if} text-right expandable">
                    {if $basketAreaEnabled}
                        <form id="buy_form_{$Artikel->kArtikel}" action="navi.php" method="post" class="form form-basket evo-validate" data-toggle="basket-add">
                            {block name="form-basket"}
                                {if $hasOnlyListableVariations > 0 && !$Artikel->bHasKonfig && $Artikel->kEigenschaftKombi == 0}
                                    <div class="hidden-xs basket-variations">
                                        {assign var="singleVariation" value=true}
                                        {include file="productdetails/variation.tpl" simple=$Artikel->isSimpleVariation showMatrix=false smallView=true ohneFreifeld=($hasOnlyListableVariations == 2) showUpdateSpinner=false}
                                    </div>
                                {/if}
                                <div class="hidden-xs basket-details">
                                    {block name="basket-details"}
                                        {if ($Artikel->inWarenkorbLegbar === 1 || ($Artikel->nErscheinendesProdukt === 1 && $Einstellungen.global.global_erscheinende_kaeuflich === 'Y'))
                                        && (($Artikel->nIstVater == 0 && $Artikel->Variationen|@count == 0) || $hasOnlyListableVariations === 1) && !$Artikel->bHasKonfig}
                                            <div class="quantity-wrapper form-group">
                                                {if $Artikel->nIstVater && $Artikel->kVaterArtikel == 0}
                                                    <div class="form-group">
                                                        <a class="btn btn-default cta cta-standard {s360_load_global_setting type="ctaVariant"}" role="button" href="{$Artikel->cURL}">{lang key="details"}</a>
                                                    </div>
                                                {else}
                                                    <div class="input-group input-group-sm {if !$Artikel->cEinheit}full-width{/if}">
                                                        <input type="number" min="0"{if $Artikel->fAbnahmeintervall > 0} step="{$Artikel->fAbnahmeintervall}"{/if} size="2" onfocus="this.setAttribute('autocomplete', 'off');" id="quantity{$Artikel->kArtikel}" class="quantity form-control text-right" name="anzahl"
                                                               value="{if $Artikel->fAbnahmeintervall > 0}{if $Artikel->fMindestbestellmenge > $Artikel->fAbnahmeintervall}{$Artikel->fMindestbestellmenge}{else}{$Artikel->fAbnahmeintervall}{/if}{else}1{/if}"/>
                                                        {if $Artikel->cEinheit}<span class="input-group-addon unit">{$Artikel->cEinheit}</span>{/if}
                                                        <span class="change_quantity input-group-btn">
                                                        <button type="submit"
                                                                class="btn btn-primary cta cta-basket"
                                                                id="submit{$Artikel->kArtikel}"
                                                                title="{lang key="addToCart" section="global"}">
                                                            <span class="fa fa-{s360_load_global_setting type="basketIcon"}"></span>
                                                            <span class="visible-xs-inline visible-md-inline visible-sm-inline">&nbsp;{lang key="basket" section="global"}</span>
                                                            <span class="visible-lg-inline">&nbsp;{lang key="addToCart" section="global"}</span>
                                                        </button>
                                                        </span>
                                                    </div>
                                                {/if}
                                            </div>
                                        {else}
                                            <div class="form-group">
                                                <a class="btn btn-default cta cta-standard {s360_load_global_setting type="cta_variant"}"
                                                   role="button"
                                                   href="{$Artikel->cURL}">{lang key="details"}</a>
                                            </div>
                                        {/if}
                                    {/block}
                                </div>
                                {if $Artikel->kArtikelVariKombi > 0}
                                    <input type="hidden" name="aK" value="{$Artikel->kArtikelVariKombi}"/>
                                {/if}
                                {if isset($Artikel->kVariKindArtikel)}
                                    <input type="hidden" name="VariKindArtikel" value="{$Artikel->kVariKindArtikel}"/>
                                {/if}
                                <input type="hidden" name="a" value="{$Artikel->kArtikel}"/>
                                <input type="hidden" name="wke" value="1"/>
                                <input type="hidden" name="overview" value="1"/>
                                <input type="hidden" name="Sortierung" value="{if isset($Suchergebnisse->Sortierung)}{$Suchergebnisse->Sortierung}{/if}"/>
                                {if isset($Suchergebnisse->Seitenzahlen) && $Suchergebnisse->Seitenzahlen->AktuelleSeite > 1}
                                    <input type="hidden" name="seite" value="{$Suchergebnisse->Seitenzahlen->AktuelleSeite}"/>
                                {/if}
                                {if isset($NaviFilter->Kategorie) && $NaviFilter->Kategorie->kKategorie > 0}
                                    <input type="hidden" name="k" value="{$NaviFilter->Kategorie->kKategorie}"/>
                                {/if}
                                {if isset($NaviFilter->Hersteller) && $NaviFilter->Hersteller->kHersteller > 0}
                                    <input type="hidden" name="h" value="{$NaviFilter->Hersteller->kHersteller}"/>
                                {/if}
                                {if isset($NaviFilter->Suchanfrage) && $NaviFilter->Suchanfrage->kSuchanfrage > 0}
                                    <input type="hidden" name="l" value="{$NaviFilter->Suchanfrage->kSuchanfrage}"/>
                                {/if}
                                {if isset($NaviFilter->MerkmalWert) && $NaviFilter->MerkmalWert->kMerkmalWert > 0}
                                    <input type="hidden" name="m" value="{$NaviFilter->MerkmalWert->kMerkmalWert}"/>
                                {/if}
                                {if isset($NaviFilter->Tag) && $NaviFilter->Tag->kTag > 0}
                                    <input type="hidden" name="t" value="{$NaviFilter->Tag->kTag}">
                                {/if}
                                {if isset($NaviFilter->KategorieFilter) && $NaviFilter->KategorieFilter->kKategorie > 0}
                                    <input type="hidden" name="kf" value="{$NaviFilter->KategorieFilter->kKategorie}"/>
                                {/if}
                                {if isset($NaviFilter->HerstellerFilter) && $NaviFilter->HerstellerFilter->kHersteller > 0}
                                    <input type="hidden" name="hf" value="{$NaviFilter->HerstellerFilter->kHersteller}"/>
                                {/if}
                                {if isset($NaviFilter->MerkmalFilter)}
                                    {foreach name=merkmalfilter from=$NaviFilter->MerkmalFilter item=mmfilter}
                                        <input type="hidden" name="mf{$smarty.foreach.merkmalfilter.iteration}" value="{$mmfilter->kMerkmalWert}"/>
                                    {/foreach}
                                {/if}
                                {if isset($NaviFilter->TagFilter)}
                                    {foreach name=tagfilter from=$NaviFilter->TagFilter item=tag}
                                        <input type="hidden" name="tf{$smarty.foreach.tagfilter.iteration}" value="{$tag->kTag}"/>
                                    {/foreach}
                                {/if}
                            {/block}
                        </form>
                    {/if}
                </div>
            </div>
        </div>
        <div class="product-info-lower">
            <div class="row">
                <div class="col-xs-12 col-sm-6">
                    <form action="" method="post" class="hidden-sm hidden-xs product-actions" data-toggle="product-actions">
                        {$jtl_token}
                        <div class="actions font-content-smallest">
                            {block name="product-actions"}
                                {if !($Artikel->nIstVater && $Artikel->kVaterArtikel === 0)}
                                    {if $Einstellungen.artikeluebersicht.artikeluebersicht_vergleichsliste_anzeigen === 'Y'}
                                        <button name="Vergleichsliste" type="submit" class="compare btn btn-link btn-xs" title="{lang key="addToCompare" section="productOverview"}">
                                            <span class="fa fa-exchange"></span>&nbsp;{lang key="compare" section="global"}
                                        </button>
                                    {/if}
                                    {if $Einstellungen.global.global_wunschliste_anzeigen === 'Y' && $Einstellungen.artikeluebersicht.artikeluebersicht_wunschzettel_anzeigen === 'Y'}
                                        <button name="Wunschliste" type="submit" class="wishlist btn btn-link btn-xs" title="{lang key="addToWishlist" section="productDetails"}">
                                            <span class="fa fa-check-circle"></span>&nbsp;{lang key="wishlist" section="global"}
                                        </button>
                                    {/if}
                                    {if $Artikel->verfuegbarkeitsBenachrichtigung === 3 && (($Artikel->cLagerBeachten === 'Y' && $Artikel->cLagerKleinerNull !== 'Y') || $Artikel->cLagerBeachten !== 'Y')}
                                        <button type="button" id="n{$Artikel->kArtikel}" class="popup-dep notification btn btn-link btn-xs" title="{lang key="requestNotification" section="global"}">
                                            <span class="fa fa-bell"></span>&nbsp;{lang key="requestNotification" section="global"}
                                        </button>
                                    {/if}
                                {/if}
                            {/block}
                        </div>
                        <input type="hidden" name="a" value="{if !empty({$Artikel->kVariKindArtikel})}{$Artikel->kVariKindArtikel}{else}{$Artikel->kArtikel}{/if}"/>
                    </form>
                    {if $Artikel->oVariationKombiVorschau_arr|@count > 0 || count($Artikel->Variationen)>0}
                        <div class="morevariations-tag visible-xs{if !($hasOnlyListableVariations > 0 && !$Artikel->bHasKonfig && $Artikel->kEigenschaftKombi == 0)} visible-sm{/if} font-content-smallest">
                            <i class="fa fa-cubes"></i>&nbsp;{lang key="morevariations" section="global"}
                        </div>
                    {/if}
                </div>
                <div class="hidden-xs col-sm-6 text-right font-content-smallest">
                    <div class="delivery-status">
                        {block name="delivery-status"}
                            {assign var=anzeige value=$Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandsanzeige}
                            {if $Artikel->nErscheinendesProdukt}
                                <span class="availablefrom text-warning ">
                                <i class="fa fa-clock-o" aria-hidden="true"></i><span class="hidden-xs"> {lang key="productAvailable" section="global"}: {$Artikel->Erscheinungsdatum_de}</span>
                            </span>
                                {if $Einstellungen.global.global_erscheinende_kaeuflich === 'Y' && $Artikel->inWarenkorbLegbar == 1}
                                    <span class="attr attr-preorder text-warning">
                                    <span class="value hidden-xs">{lang key="preorderPossible" section="global"}</span>
                                </span>
                                {/if}
                            {elseif $anzeige !== 'nichts'
                            && $Artikel->cLagerBeachten === 'Y'
                            && ($Artikel->cLagerKleinerNull === 'N' || $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen === 'U')
                            && $Artikel->fLagerbestand <= 0 && $Artikel->fZulauf > 0 && isset($Artikel->dZulaufDatum_de)}
                                {assign var=cZulauf value=$Artikel->fZulauf|cat:':::'|cat:$Artikel->dZulaufDatum_de}
                                <span class="signal_image status-1">
                                <i class="fa fa-clock-o" aria-hidden="true"></i><span class="hidden-xs">&nbsp;{lang key="productInflowing" section="productDetails" printf=$cZulauf}</span>
                            </span>
                            {elseif $anzeige !== 'nichts'
                            && $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen !== 'N'
                            && $Artikel->cLagerBeachten === 'Y'
                            && $Artikel->fLagerbestand <= 0
                            && $Artikel->fLieferantenlagerbestand > 0
                            && $Artikel->fLieferzeit > 0
                            && ($Artikel->cLagerKleinerNull === 'N' || $Einstellungen.artikeluebersicht.artikeluebersicht_lagerbestandanzeige_anzeigen === 'U')}
                                <span class="signal_image status-1">
                                <i class="fa fa-clock-o" aria-hidden="true"></i><span class="hidden-xs">&nbsp;{lang key="supplierStockNotice" section="global" printf=$Artikel->fLieferzeit}</span>
                            </span>
                            {elseif $anzeige === 'verfuegbarkeit' || $anzeige === 'genau'}
                                <span class="signal_image status-{$Artikel->Lageranzeige->nStatus}">
                                <i class="fa fa-clock-o" aria-hidden="true"></i><span class="hidden-xs">&nbsp;{$Artikel->Lageranzeige->cLagerhinweis[$anzeige]}</span>
                            </span>
                            {elseif $anzeige === 'ampel'}
                                <span class="signal_image status-{$Artikel->Lageranzeige->nStatus}">
                                <i class="fa fa-clock-o" aria-hidden="true"></i><span class="hidden-xs">&nbsp;{$Artikel->Lageranzeige->AmpelText}</span>
                            </span>
                            {/if}
                            {if $Artikel->cEstimatedDelivery}
                                <span class="estimated_delivery hidden-xs">&nbsp;({$Artikel->cEstimatedDelivery})</span>
                            {/if}
                        {/block}
                    </div>
                </div>
            </div>
        </div>
    {/block}
    </div>{* /product-info *}
    </div>{* /row *}
    </div>{* /product-info-container *}
    </div>{* /product-body *}
    </div>{* /product-cell *}

    {* popup-content *}
    {if $Artikel->verfuegbarkeitsBenachrichtigung == 3}
        <div id="popupn{$Artikel->kArtikel}" class="hidden">
            {include file='productdetails/availability_notification_form.tpl' position="popup" tplscope='artikeldetails'}
        </div>
    {/if}
{/strip}